<?php
class ControllerExtensionModuleAdmin extends Controller {
    private $error = array(); 
    public function index() {   
	
		$language = $this->load->language('extension/module/admin');
        $data = array_merge($language);
		
        $this->document->setTitle($this->language->get('heading_title'));
		$this->document->addStyle('view/colorpicker/css/colorpicker.css');
  		$this->document->addScript('view/colorpicker/js/colorpicker.js');
		$this->document->addStyle('view/stylesheet/codemirror/lib/codemirror.css');
        $this->document->addStyle('view/stylesheet/codemirror/mode/theme/monokai.css');
        $this->document->addScript('view/javascript/codemirror/lib/codemirror.js');
        $this->document->addScript('view/javascript/codemirror/mode/css/css.js');
        $this->document->addScript('view/javascript/codemirror/mode/javascript/javascript.js');
		
        $this->load->model('setting/setting');
        
        $this->load->model('tool/image');  
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
            $this->model_setting_setting->editSetting('admin', $this->request->post);    

            $this->session->data['success'] = $this->language->get('text_success');
        
            if(isset($this->request->post['save_stay']) and $this->request->post['save_stay']=1)
			$this->response->redirect($this->url->link('extension/module/admin', 'token=' . $this->session->data['token'], true));
			else
			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
        }
		
            $data['token'] = $this->session->data['token'];       
        
        $text_strings = array(
                'heading_title',
                'text_enabled',
                'text_disabled',
                'text_content_top',
                'text_content_bottom',
                'text_column_left',
                'text_column_right',
                'entry_status',
                'entry_sort_order',
                'button_save',
                'button_cancel',
				
        );
		
		$data['button_save_stay'] = $this->language->get('button_save_stay');
        $data['result_success'] = $this->language->get('result_success');
		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}
        
        foreach ($text_strings as $text) {
            $data[$text] = $this->language->get($text);
        }

        $config_data = array(
        'admin_color_main',
		'admin_color_second',
		'admin_font',
		'admin_custom_css',
		);
       
		if (isset($this->request->post['admin_color_main'])) {
			$data['admin_color_main'] = $this->request->post['admin_color_main'];
		} elseif (!empty($module_info)) {
			$data['admin_color_main'] = $module_info['admin_color_main'];
		} else {
			$data['admin_color_main'] = '';
		}
		if (isset($this->request->post['admin_color_second'])) {
			$data['admin_color_second'] = $this->request->post['admin_color_second'];
		} elseif (!empty($module_info)) {
			$data['admin_color_second'] = $module_info['admin_color_second'];
		} else {
			$data['admin_color_second'] = '';
		}
        foreach ($config_data as $conf) {
            if (isset($this->request->post[$conf])) {
                $data[$conf] = $this->request->post[$conf];
            } else {
                $data[$conf] = $this->config->get($conf);
            }
        }
    
        if (isset($this->error['warning'])) {
            $data['error_warning'] = $this->error['warning'];
        } else {
            $data['error_warning'] = '';
        }
        
        $data['breadcrumbs'] = array();
		
		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], true)
		);
		
		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true)
		);
        
        $data['breadcrumbs'][] = array(
            'text'      => $this->language->get('heading_title'),
            'href'      => $this->url->link('extension/module/admin', 'token=' . $this->session->data['token'], true)
        );
		
		$data['action'] = $this->url->link('extension/module/admin', 'token=' . $this->session->data['token'], true);
		
		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);
    
        if (isset($this->request->post['admin_module'])) {
            $modules = explode(',', $this->request->post['admin_module']);
        } elseif ($this->config->get('admin_module') != '') {
            $modules = explode(',', $this->config->get('admin_module'));
        } else {
            $modules = array();
        }           
                
		$this->load->model('localisation/language');
		
		$data['languages'] = $this->model_localisation_language->getLanguages();
		
        $data['modules'] = $modules;
        
        if (isset($this->request->post['admin_module'])) {
            $data['admin_module'] = $this->request->post['admin_module'];
        } else {
            $data['admin_module'] = $this->config->get('admin_module');

		}
		
		$data['admin_modules'] = array();

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/admin', $data));

    }
	
	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/admin')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}
}