<!DOCTYPE html>
<!--[if IE]><![endif]-->
<!--[if IE 8 ]>
<html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" class="ie8">
   <![endif]-->
   <!--[if IE 9 ]>
   <html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" class="ie9">
      <![endif]-->
      <!--[if (gt IE 9)|!(IE)]><!-->
      <html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>">
         <!--<![endif]-->
         <head>
            <meta charset="UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <title><?php echo $title; ?></title>
            <base href="<?php echo $base; ?>" />
            <?php if ($description) { ?>
            <meta name="description" content="<?php echo $description; ?>" />
            <?php } ?>
            <?php if ($keywords) { ?>
            <meta name="keywords" content= "<?php echo $keywords; ?>" />
            <?php } ?>
            <script src="catalog/view/javascript/jquery/jquery-2.1.1.min.js" type="text/javascript"></script>
            <link href="catalog/view/javascript/bootstrap/css/bootstrap.min.css" rel="stylesheet" media="screen" />
            <script src="catalog/view/javascript/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
            <link href="catalog/view/javascript/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
            <link rel="stylesheet" type="text/css" href="catalog/view/theme/bistro/js/slick/slick.css"/>
            <link rel="stylesheet" type="text/css" href="catalog/view/theme/bistro/js/slick/slick-theme.css"/>
            <link href="catalog/view/theme/bistro/css/main.css" rel="stylesheet">
            <?php foreach ($styles as $style) { ?>
            <link href="<?php echo $style['href']; ?>" type="text/css" rel="<?php echo $style['rel']; ?>" media="<?php echo $style['media']; ?>" />
            <?php } ?>
            <script type="text/javascript" src="catalog/view/theme/bistro/js/slick/slick.min.js"></script>
            <script src="catalog/view/theme/bistro/js/main.js" type="text/javascript"></script>
            <?php foreach ($links as $link) { ?>
            <link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />
            <?php } ?>
            <?php foreach ($scripts as $script) { ?>
            <script src="<?php echo $script; ?>" type="text/javascript"></script>
            <?php } ?>
            <?php foreach ($analytics as $analytic) { ?>
            <?php echo $analytic; ?>
            <?php } ?>
            <?php if($admin_font !='') {		
               $regfonts = array('', 'Arial', 'Verdana', 'Helvetica', 'Lucida Grande', 'Trebuchet MS', 'Times New Roman', 'Tahoma', 'Georgia' );
               if (in_array($admin_font, $regfonts)==false) { ?>
            <link href='//fonts.googleapis.com/css?family=<?php echo $admin_font ?>' rel='stylesheet' type='text/css'>
            <?php } 
               } 
               ?>
            <style type="text/css">
               <?php if ($admin_font != '' ) {
                  $fontpre = $admin_font;
                  $font = str_replace("+", " ", $fontpre);
                  ?> body {
               font-family:<?php echo $font ?>;
               }
               <?php
                  }
                  if($admin_color_main!='') {
                  ?> :root {
               --main-color:  <?php echo $admin_color_main;
                  ?>!important;
               }
               <?php
                  }
                   if ($admin_custom_css != '') {
                   echo htmlspecialchars_decode($admin_custom_css);
                  }
                  ?>
            </style>
         </head>
         <body class="<?php echo $class; ?>">
            <header>
               <div class="menu-top">
                  <div class="logo">
                     <?php if ($logo) { ?>
                     <a href="<?php echo $home; ?>"><img src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" class="img-responsive" /></a>
                     <?php } else { ?>
                     <h1><a href="<?php echo $home; ?>"><?php echo $name; ?></a></h1>
                     <?php } ?>
                  </div>
                  <button type="button" class="btn btn-link" id="menu-block"><i class="fa fa-bars"></i></button>
               </div>
               <div class="menu-center">
                  <button type="button" class="btn btn-link" id="search-block"><i class="fa fa-search"></i></button>
                  <button type="button" class="btn btn-link" data-toggle="modal" data-target="#accountmodal"><i class="fa fa-user"></i></button>
                  <button type="button" class="btn btn-link" id="cart-block"><i class="fa fa-shopping-cart"></i><span><?php echo $cart_total; ?></span></button>
               </div>
               <div class="menu-footer">
                  <a href="<?php echo $contact; ?>"><i class="fa fa-phone"></i></a>
                  <span><?php echo $telephone; ?></span>
               </div>
            </header>
            <div class="menu-block">
               <?php echo $language; ?>
               <?php echo $currency; ?>
               <h3><?php echo $text_category; ?></h3>
               <ul>
                  <?php if ($categories) { ?>
                  <?php foreach ($categories as $category) { ?>
                  <li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a></li>
                  <?php } ?>
                  <?php } ?>
               </ul>
            </div>
            <?php echo $search; ?>
            <?php echo $cart; ?>
            <div class="modal fade" id="accountmodal" tabindex="-1" role="dialog" aria-labelledby="accountmodalLabel">
               <div class="modal-dialog modal-lg" role="document">
                  <div class="modal-content">
                     <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="accountmodalLabel"><?php echo $text_account; ?></h4>
                     </div>
                     <div class="modal-body topbar-modal">
                        <?php if ($logged) { ?>
                        <div class="row text-center">
                           <a href="<?php echo $account; ?>" class="btn btn-primary"><?php echo $button_continue; ?></a>
                        </div>
                        <?php } else { ?>
                        <div class="row">
                           <div class="col-sm-6">
                              <div class="well">
                                 <h2><?php echo $text_new_customer; ?></h2>
                                 <p><strong><?php echo $text_register; ?></strong></p>
                                 <p><?php echo $text_register_account; ?></p>
                                 <a href="<?php echo $register; ?>" class="btn btn-primary"><?php echo $button_continue; ?></a>
                              </div>
                           </div>
                           <div class="col-sm-6">
                              <div class="well">
                                 <h2><?php echo $text_returning_customer; ?></h2>
                                 <p><strong><?php echo $text_i_am_returning_customer; ?></strong></p>
                                 <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
                                    <div class="form-group">
                                       <label class="control-label" for="input-email"><?php echo $entry_email; ?></label>
                                       <input type="text" name="email" value="<?php echo $email; ?>" placeholder="<?php echo $entry_email; ?>" id="input-email" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                       <label class="control-label" for="input-password"><?php echo $entry_password; ?></label>
                                       <input type="password" name="password" value="<?php echo $password; ?>" placeholder="<?php echo $entry_password; ?>" id="input-password" class="form-control" />
                                       <a href="<?php echo $forgotten; ?>"><?php echo $text_forgotten; ?></a>
                                    </div>
                                    <input type="submit" value="<?php echo $button_login; ?>" class="btn btn-primary" />
                                    <?php if ($redirect) { ?>
                                    <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
                                    <?php } ?>
                                 </form>
                              </div>
                           </div>
                        </div>
                        <?php } ?>
                     </div>
                  </div>
               </div>
            </div>
            <div class="main-block">