<?php echo $header; ?>
<h1 class="title-category" style="background-image:url(<?php if ($thumb) { ?><?php echo $thumb; ?><?php } ?>)">  <?php echo $heading_title; ?></h1>
<ul class="breadcrumb">
   <?php foreach ($breadcrumbs as $breadcrumb) { ?>
   <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
   <?php } ?>
</ul>
<div class="container">
   <div class="row">
      <div id="content" class="col-sm-12">
         <?php echo $content_top; ?>
         <div class="row">
            <?php if ($thumb || $images) { ?>
            <div class="thumbnails col-md-12">
               <?php if ($thumb) { ?>
               <a class="thumbnail" href="<?php echo $popup; ?>" title="<?php echo $heading_title; ?>"><img src="<?php echo $thumb; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" /></a>
               <?php } ?>
               <?php if ($images) { ?>
               <div class="image-additional">
                  <?php foreach ($images as $image) { ?>
                  <a class="thumbnail" href="<?php echo $image['popup']; ?>" title="<?php echo $heading_title; ?>"> <img src="<?php echo $image['thumb']; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" /></a>
                  <?php } ?>
               </div>
               <?php } ?>
            </div>
            <?php } ?>
            <div class="col-sm-6">
               <ul class="nav nav-tabs">
                  <li class="active"><a href="#tab-description" data-toggle="tab"><?php echo $tab_description; ?></a></li>
                  <?php if ($attribute_groups) { ?>
                  <li><a href="#tab-specification" data-toggle="tab"><?php echo $tab_attribute; ?></a></li>
                  <?php } ?>
                  <?php if ($review_status) { ?>
                  <li><a href="#tab-review" data-toggle="tab"><?php echo $tab_review; ?></a></li>
                  <?php } ?>
               </ul>
               <div class="tab-content">
                  <div class="tab-pane active" id="tab-description"><?php echo $description; ?></div>
                  <?php if ($attribute_groups) { ?>
                  <div class="tab-pane" id="tab-specification">
                     <table class="table table-bordered">
                        <?php foreach ($attribute_groups as $attribute_group) { ?>
                        <thead>
                           <tr>
                              <td colspan="2"><strong><?php echo $attribute_group['name']; ?></strong></td>
                           </tr>
                        </thead>
                        <tbody>
                           <?php foreach ($attribute_group['attribute'] as $attribute) { ?>
                           <tr>
                              <td><?php echo $attribute['name']; ?></td>
                              <td><?php echo $attribute['text']; ?></td>
                           </tr>
                           <?php } ?>
                        </tbody>
                        <?php } ?>
                     </table>
                  </div>
                  <?php } ?>
                  <?php if ($review_status) { ?>
                  <div class="tab-pane" id="tab-review">
                     <form class="form-horizontal" id="form-review">
                        <div id="review"></div>
                        <h2><?php echo $text_write; ?></h2>
                        <?php if ($review_guest) { ?>
                        <div class="form-group required">
                           <div class="col-sm-12">
                              <label class="control-label" for="input-name"><?php echo $entry_name; ?></label>
                              <input type="text" name="name" value="<?php echo $customer_name; ?>" id="input-name" class="form-control" />
                           </div>
                        </div>
                        <div class="form-group required">
                           <div class="col-sm-12">
                              <label class="control-label" for="input-review"><?php echo $entry_review; ?></label>
                              <textarea name="text" rows="5" id="input-review" class="form-control"></textarea>
                              <div class="help-block"><?php echo $text_note; ?></div>
                           </div>
                        </div>
                        <div class="form-group required">
                           <div class="col-sm-12">
                              <label class="control-label"><?php echo $entry_rating; ?></label>
                              <div class="stars-rating">
                                 <input name="rating" id="s_rating" value="0" type="hidden">
                                 <div class="wrap" data-rate="0">
                                    <span title="1" data-rate="1"></span>
                                    <span title="2" data-rate="2"></span>
                                    <span title="3" data-rate="3"></span>
                                    <span title="4" data-rate="4"></span>
                                    <span title="5" data-rate="5"></span>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <?php echo $captcha; ?>
                        <div class="buttons clearfix">
                           <div class="pull-right">
                              <button type="button" id="button-review" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary"><?php echo $button_continue; ?></button>
                           </div>
                        </div>
                        <?php } else { ?>
                        <?php echo $text_login; ?>
                        <?php } ?>
                     </form>
                  </div>
                  <?php } ?>
               </div>
            </div>
            <div class="col-sm-6">
               <ul class="list-unstyled">
                  <?php if ($manufacturer) { ?>
                  <li><?php echo $text_manufacturer; ?> <a href="<?php echo $manufacturers; ?>"><?php echo $manufacturer; ?></a></li>
                  <?php } ?>
                  <li><?php echo $text_model; ?> <?php echo $model; ?></li>
                  <?php if ($reward) { ?>
                  <li><?php echo $text_reward; ?> <?php echo $reward; ?></li>
                  <?php } ?>
                  <li><?php echo $text_stock; ?> <?php echo $stock; ?></li>
               </ul>
               <?php if ($price) { ?>
               <ul class="list-unstyled">
                  <?php if (!$special) { ?>
                  <li>
                     <h2><?php echo $price; ?></h2>
                  </li>
                  <?php } else { ?>
                  <li><span style="text-decoration: line-through;"><?php echo $price; ?></span></li>
                  <li>
                     <h2><?php echo $special; ?></h2>
                  </li>
                  <?php } ?>
                  <?php if ($tax) { ?>
                  <li><?php echo $text_tax; ?> <?php echo $tax; ?></li>
                  <?php } ?>
                  <?php if ($points) { ?>
                  <li><?php echo $text_points; ?> <?php echo $points; ?></li>
                  <?php } ?>
                  <?php if ($discounts) { ?>
                  <li>
                     <hr>
                  </li>
                  <?php foreach ($discounts as $discount) { ?>
                  <li><?php echo $discount['quantity']; ?><?php echo $text_discount; ?><?php echo $discount['price']; ?></li>
                  <?php } ?>
                  <?php } ?>
               </ul>
               <?php } ?>
               <div id="product">
                  <?php if ($options) { ?>
                  <hr>
                  <h3><?php echo $text_option; ?></h3>
                  <?php foreach ($options as $option) { ?>
                  <?php if ($option['type'] == 'select') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <select name="option[<?php echo $option['product_option_id']; ?>]" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control">
                        <option value=""><?php echo $text_select; ?></option>
                        <?php foreach ($option['product_option_value'] as $option_value) { ?>
                        <option value="<?php echo $option_value['product_option_value_id']; ?>" data-points="<?php echo (isset($option_value['points_value']) ? $option_value['points_value'] : 0); ?>" data-prefix="<?php echo $option_value['price_prefix']; ?>" data-price="<?php echo $option_value['price_value']; ?>"><?php echo $option_value['name']; ?>
                           <?php if ($option_value['price']) { ?>
                           (<?php echo ($option_value['price_prefix'] == '+' || $option_value['price_prefix'] == '-' ? $option_value['price_prefix'] : '') . $option_value['price']; ?>)
                           <?php } ?>
                        </option>
                        <?php } ?>
                     </select>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'radio') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label"><?php echo $option['name']; ?></label>
                     <div id="input-option<?php echo $option['product_option_id']; ?>">
                        <?php foreach ($option['product_option_value'] as $option_value) { ?>
                        <div class="radio">
                           <label>
                           <input type="radio" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option_value['product_option_value_id']; ?>" data-points="<?php echo (isset($option_value['points_value']) ? $option_value['points_value'] : 0); ?>" data-prefix="<?php echo $option_value['price_prefix']; ?>" data-price="<?php echo $option_value['price_value']; ?>" />
                           <?php if ($option_value['image']) { ?>
                           <img src="<?php echo $option_value['image']; ?>" alt="<?php echo $option_value['name'] . ($option_value['price'] ? ' ' . $option_value['price_prefix'] . $option_value['price'] : ''); ?>" class="img-thumbnail" /> 
                           <?php } ?>                    
                           <?php echo $option_value['name']; ?>
                           <?php if ($option_value['price']) { ?>
                           (<?php echo ($option_value['price_prefix'] == '+' || $option_value['price_prefix'] == '-' ? $option_value['price_prefix'] : '') . $option_value['price']; ?>)
                           <?php } ?>
                           </label>
                        </div>
                        <?php } ?>
                     </div>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'checkbox') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label"><?php echo $option['name']; ?></label>
                     <div id="input-option<?php echo $option['product_option_id']; ?>">
                        <?php foreach ($option['product_option_value'] as $option_value) { ?>
                        <div class="checkbox">
                           <label>
                           <input type="checkbox" name="option[<?php echo $option['product_option_id']; ?>][]" value="<?php echo $option_value['product_option_value_id']; ?>" data-points="<?php echo (isset($option_value['points_value']) ? $option_value['points_value'] : 0); ?>" data-prefix="<?php echo $option_value['price_prefix']; ?>" data-price="<?php echo $option_value['price_value']; ?>" />
                           <?php if ($option_value['image']) { ?>
                           <img src="<?php echo $option_value['image']; ?>" alt="<?php echo $option_value['name'] . ($option_value['price'] ? ' ' . $option_value['price_prefix'] . $option_value['price'] : ''); ?>" class="img-thumbnail" /> 
                           <?php } ?>
                           <?php echo $option_value['name']; ?>
                           <?php if ($option_value['price']) { ?>
                           (<?php echo ($option_value['price_prefix'] == '+' || $option_value['price_prefix'] == '-' ? $option_value['price_prefix'] : '') . $option_value['price']; ?>)
                           <?php } ?>
                           </label>
                        </div>
                        <?php } ?>
                     </div>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'text') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['value']; ?>" placeholder="<?php echo $option['name']; ?>" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control" />
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'textarea') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <textarea name="option[<?php echo $option['product_option_id']; ?>]" rows="5" placeholder="<?php echo $option['name']; ?>" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control"><?php echo $option['value']; ?></textarea>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'file') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label"><?php echo $option['name']; ?></label>
                     <button type="button" id="button-upload<?php echo $option['product_option_id']; ?>" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-default btn-block"><i class="fa fa-upload"></i> <?php echo $button_upload; ?></button>
                     <input type="hidden" name="option[<?php echo $option['product_option_id']; ?>]" value="" id="input-option<?php echo $option['product_option_id']; ?>" />
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'date') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <div class="input-group date">
                        <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['value']; ?>" data-date-format="YYYY-MM-DD" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control" />
                        <span class="input-group-btn">
                        <button class="btn btn-default" type="button"><i class="fa fa-calendar"></i></button>
                        </span>
                     </div>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'datetime') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <div class="input-group datetime">
                        <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['value']; ?>" data-date-format="YYYY-MM-DD HH:mm" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control" />
                        <span class="input-group-btn">
                        <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                        </span>
                     </div>
                  </div>
                  <?php } ?>
                  <?php if ($option['type'] == 'time') { ?>
                  <div class="form-group<?php echo ($option['required'] ? ' required' : ''); ?>">
                     <label class="control-label" for="input-option<?php echo $option['product_option_id']; ?>"><?php echo $option['name']; ?></label>
                     <div class="input-group time">
                        <input type="text" name="option[<?php echo $option['product_option_id']; ?>]" value="<?php echo $option['value']; ?>" data-date-format="HH:mm" id="input-option<?php echo $option['product_option_id']; ?>" class="form-control" />
                        <span class="input-group-btn">
                        <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                        </span>
                     </div>
                  </div>
                  <?php } ?>
                  <?php } ?>
                  <?php } ?>
                  <?php if ($recurrings) { ?>
                  <hr>
                  <h3><?php echo $text_payment_recurring; ?></h3>
                  <div class="form-group required">
                     <select name="recurring_id" class="form-control">
                        <option value=""><?php echo $text_select; ?></option>
                        <?php foreach ($recurrings as $recurring) { ?>
                        <option value="<?php echo $recurring['recurring_id']; ?>"><?php echo $recurring['name']; ?></option>
                        <?php } ?>
                     </select>
                     <div class="help-block" id="recurring-description"></div>
                  </div>
                  <?php } ?>
                  <div class="form-group">
                     <div class="product-input">
                        <div class="input-group plus-minus">
                           <span class="input-group-btn">
                           <button class="btn btn-default" data-dir="dwn"><i class="fa fa-minus" aria-hidden="true"></i></button>
                           </span>
                           <input type="text" name="quantity" value="<?php echo $minimum; ?>" id="input-quantity" class="form-control text-center" />
                           <span class="input-group-btn">
                           <button class="btn btn-default" data-dir="up"><i class="fa fa-plus" aria-hidden="true"></i></button>
                           </span>
                        </div>
                        <br>
                        <input type="hidden" name="product_id" value="<?php echo $product_id; ?>" />
                        <button type="button" id="button-cart" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary btn-lg btn-block"><?php echo $button_cart; ?></button>
                     </div>
                  </div>
                  <?php if ($minimum > 1) { ?>
                  <div class="alert alert-info"><i class="fa fa-info-circle"></i> <?php echo $text_minimum; ?></div>
                  <?php } ?>
               </div>
               <?php if ($review_status) { ?>
               <div class="rating">
                  <p>
                     <?php for ($i = 1; $i <= 5; $i++) { ?>
                     <?php if ($rating < $i) { ?>
                     <span class="fa fa-stack"><i class="fa fa-star-o fa-stack-1x"></i></span>
                     <?php } else { ?>
                     <span class="fa fa-stack"><i class="fa fa-star fa-stack-1x"></i><i class="fa fa-star-o fa-stack-1x"></i></span>
                     <?php } ?>
                     <?php } ?>
                     <a href="" onclick="$('a[href=\'#tab-review\']').trigger('click'); return false;"><?php echo $reviews; ?></a> / <a href="" onclick="$('a[href=\'#tab-review\']').trigger('click'); return false;"><?php echo $text_write; ?></a>
                  </p>
               </div>
               <?php } ?>
            </div>
         </div>
         <?php if ($products) { ?>
         <h3><?php echo $text_related; ?></h3>
         <div class="product-list">
            <?php foreach ($products as $product) { ?>
            <a href="<?php echo $product['href']; ?>" class="product-block">
               <div class="image">
                  <img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" title="<?php echo $product['name']; ?>" />
               </div>
               <div class="caption">
                  <h4><?php echo $product['name']; ?></h4>
                  <?php if ($product['price']) { ?>
                  <p class="price">
                     <?php if (!$product['special']) { ?>
                     <?php echo $product['price']; ?>
                     <?php } else { ?>
                     <span class="price-new"><?php echo $product['special']; ?></span> <span class="price-old"><?php echo $product['price']; ?></span>
                     <?php } ?>
                  </p>
                  <?php } ?>
               </div>
            </a>
            <?php } ?>
         </div>
         <?php } ?>
         <?php echo $content_bottom; ?>
      </div>
      <?php echo $column_right; ?>
   </div>
</div>
<script type="text/javascript"><!--
   $('select[name=\'recurring_id\'], input[name="quantity"]').change(function(){
   	$.ajax({
   		url: 'index.php?route=product/product/getRecurringDescription',
   		type: 'post',
   		data: $('input[name=\'product_id\'], input[name=\'quantity\'], select[name=\'recurring_id\']'),
   		dataType: 'json',
   		beforeSend: function() {
   			$('#recurring-description').html('');
   		},
   		success: function(json) {
   			$('.alert, .text-danger').remove();
   
   			if (json['success']) {
   				$('#recurring-description').html(json['success']);
   			}
   		}
   	});
   });
   //-->
</script>
<script type="text/javascript"><!--
   $('#button-cart').on('click', function() {
   	$.ajax({
   		url: 'index.php?route=checkout/cart/add',
   		type: 'post',
   		data: $('#product input[type=\'text\'], #product input[type=\'hidden\'], #product input[type=\'radio\']:checked, #product input[type=\'checkbox\']:checked, #product select, #product textarea'),
   		dataType: 'json',
   		beforeSend: function() {
   			$('#button-cart').button('loading');
   		},
   		complete: function() {
   			$('#button-cart').button('reset');
   		},
   		success: function(json) {
   			$('.alert, .text-danger').remove();
   			$('.form-group').removeClass('has-error');
   
   			if (json['error']) {
   				if (json['error']['option']) {
   					for (i in json['error']['option']) {
   						var element = $('#input-option' + i.replace('_', '-'));
   
   						if (element.parent().hasClass('input-group')) {
   							element.parent().after('<div class="text-danger">' + json['error']['option'][i] + '</div>');
   						} else {
   							element.after('<div class="text-danger">' + json['error']['option'][i] + '</div>');
   						}
   					}
   				}
   
   				if (json['error']['recurring']) {
   					$('select[name=\'recurring_id\']').after('<div class="text-danger">' + json['error']['recurring'] + '</div>');
   				}
   
   				$('.text-danger').parent().addClass('has-error');
   			}
   
   			if (json['success']) {
   				$('.breadcrumb').after('<div class="alert alert-success">' + json['success'] + '<button type="button" class="close" data-dismiss="alert">&times;</button></div>');
   
   				$('#cart-block > span').html('<span>' + json['total'] + '</span>');
   
   				$('html, body').animate({ scrollTop: 0 }, 'slow');
   
   				$('#cart > ul').load('index.php?route=common/cart/info ul li');
   			}
   		},
           error: function(xhr, ajaxOptions, thrownError) {
               alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
           }
   	});
   });
   //-->
</script>
<script type="text/javascript"><!--
   $('.date').datetimepicker({
   	pickTime: false
   });
   
   $('.datetime').datetimepicker({
   	pickDate: true,
   	pickTime: true
   });
   
   $('.time').datetimepicker({
   	pickDate: false
   });
   
   $('button[id^=\'button-upload\']').on('click', function() {
   	var node = this;
   
   	$('#form-upload').remove();
   
   	$('body').prepend('<form enctype="multipart/form-data" id="form-upload" style="display: none;"><input type="file" name="file" /></form>');
   
   	$('#form-upload input[name=\'file\']').trigger('click');
   
   	if (typeof timer != 'undefined') {
       	clearInterval(timer);
   	}
   
   	timer = setInterval(function() {
   		if ($('#form-upload input[name=\'file\']').val() != '') {
   			clearInterval(timer);
   
   			$.ajax({
   				url: 'index.php?route=tool/upload',
   				type: 'post',
   				dataType: 'json',
   				data: new FormData($('#form-upload')[0]),
   				cache: false,
   				contentType: false,
   				processData: false,
   				beforeSend: function() {
   					$(node).button('loading');
   				},
   				complete: function() {
   					$(node).button('reset');
   				},
   				success: function(json) {
   					$('.text-danger').remove();
   
   					if (json['error']) {
   						$(node).parent().find('input').after('<div class="text-danger">' + json['error'] + '</div>');
   					}
   
   					if (json['success']) {
   						alert(json['success']);
   
   						$(node).parent().find('input').val(json['code']);
   					}
   				},
   				error: function(xhr, ajaxOptions, thrownError) {
   					alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
   				}
   			});
   		}
   	}, 500);
   });
   //-->
</script>
<script type="text/javascript"><!--
   $('#review').delegate('.pagination a', 'click', function(e) {
       e.preventDefault();
   
       $('#review').fadeOut('slow');
   
       $('#review').load(this.href);
   
       $('#review').fadeIn('slow');
   });
   
   $('#review').load('index.php?route=product/product/review&product_id=<?php echo $product_id; ?>');
   
   $('#button-review').on('click', function() {
   	$.ajax({
   		url: 'index.php?route=product/product/write&product_id=<?php echo $product_id; ?>',
   		type: 'post',
   		dataType: 'json',
   		data: $("#form-review").serialize(),
   		beforeSend: function() {
   			$('#button-review').button('loading');
   		},
   		complete: function() {
   			$('#button-review').button('reset');
   		},
   		success: function(json) {
   			$('.alert-success, .alert-danger').remove();
   
   			if (json['error']) {
   				$('#review').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + '</div>');
   			}
   
   			if (json['success']) {
   				$('#review').after('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '</div>');
   
   				$('input[name=\'name\']').val('');
   				$('textarea[name=\'text\']').val('');
   				$('input[name=\'rating\']:checked').prop('checked', false);
   			}
   		}
   	});
   });
   
   $(document).ready(function() {
   	$('.thumbnails').magnificPopup({
   		type:'image',
   		delegate: 'a',
   		gallery: {
   			enabled:true
   		}
   	});
   });
   //-->
</script>
<style>
   .stars-rating label {display: block;}
   .stars-rating .wrap {display: inline-block; font-size: 0;}
   .stars-rating .wrap span {font-size: 24px; line-height: 20px; cursor: pointer;}
   .stars-rating .wrap span:before {content: "\2606"; color: #bbb;}
   .stars-rating .wrap:not([data-rate="0"]) span:before {content: "\2605";}
   .stars-rating .wrap:hover span:before {content: "\2605"; color: #fe2;}
   .stars-rating .wrap:hover span:hover ~ span:before {color: #bbb;}
   .stars-rating .wrap[data-rate="1"] span:nth-child(-n+1):before,
   .stars-rating .wrap[data-rate="2"] span:nth-child(-n+2):before,
   .stars-rating .wrap[data-rate="3"] span:nth-child(-n+3):before,
   .stars-rating .wrap[data-rate="4"] span:nth-child(-n+4):before,
   .stars-rating .wrap[data-rate="5"] span:nth-child(-n+5):before {color: #fa0;}
</style>
<script>
   $(document).ready(function(){
       $('.stars-rating span').click(function(e){
           var rate = $(this).attr('data-rate');
           $('.stars-rating .wrap').attr('data-rate', rate);
           $('#s_rating').val(rate);               
       });
   });
</script>
<script>
   $(document).on('click', '.plus-minus button', function () {    
   	var btn = $(this),
   		oldValue = btn.closest('.plus-minus').find('input').val().trim(),
   		newVal = 1;
   	if (btn.attr('data-dir') == 'up') {
   		newVal = parseInt(oldValue) + 1;
   	} else {
   		if (oldValue > 1) {
   			newVal = parseInt(oldValue) - 1;
   		} else {
   			newVal = 1;
   		}
   	}
   	btn.closest('.plus-minus').find('input').val(newVal);
   });
</script>
<script type="text/javascript"><!--
   function price_format(price)
   { 
       c = <?php echo (empty($autocalc_currency['decimals']) ? "0" : $autocalc_currency['decimals'] ); ?>;
       d = '<?php echo $autocalc_currency['decimal_point']; ?>'; 
       t = '<?php echo $autocalc_currency['thousand_point']; ?>'; 
       s_left = '<?php echo str_replace("'", "\'", $autocalc_currency['symbol_left']); ?>';
       s_right = '<?php echo str_replace("'", "\'", $autocalc_currency['symbol_right']); ?>';
       n = price * <?php echo $autocalc_currency['value']; ?>;
       i = parseInt(n = Math.abs(n).toFixed(c)) + ''; 
       j = ((j = i.length) > 3) ? j % 3 : 0; 
       price_text = s_left + (j ? i.substr(0, j) + t : '') + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : '') + s_right; 
       
       <?php if (!empty($autocalc_currency2)) { ?>
       c = <?php echo (empty($autocalc_currency2['decimals']) ? "0" : $autocalc_currency2['decimals'] ); ?>;
       d = '<?php echo $autocalc_currency2['decimal_point']; ?>'; 
       t = '<?php echo $autocalc_currency2['thousand_point']; ?>'; 
       s_left = '<?php echo str_replace("'", "\'", $autocalc_currency2['symbol_left']); ?>';
       s_right = '<?php echo str_replace("'", "\'", $autocalc_currency2['symbol_right']); ?>';
       n = price * <?php echo $autocalc_currency2['value']; ?>;
       i = parseInt(n = Math.abs(n).toFixed(c)) + ''; 
       j = ((j = i.length) > 3) ? j % 3 : 0; 
       price_text += '  <span class="currency2">(' + s_left + (j ? i.substr(0, j) + t : '') + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : '') + s_right + ')</span>'; 
       <?php } ?>
       
       return price_text;
   }
   
   function calculate_tax(price)
   {
       <?php 
      if (isset($tax_rates) && $tax) {
         foreach ($tax_rates as $tax_rate) {
           if ($tax_rate['type'] == 'F') {
             echo 'price += '.$tax_rate['rate'].';';
           } elseif ($tax_rate['type'] == 'P') {
             echo 'price += (price * '.$tax_rate['rate'].') / 100.0;';
           }
         }
      }
      ?>
       return price;
   }
   
   function process_discounts(price, quantity)
   {
       <?php
      foreach ($dicounts_unf as $discount) {
        echo 'if ((quantity >= '.$discount['quantity'].') && ('.$discount['price'].' < price)) price = '.$discount['price'].';'."\n";
      }
      ?>
       return price;
   }
   
   
   animate_delay = 20;
   
   main_price_final = calculate_tax(<?php echo $price_value; ?>);
   main_price_start = calculate_tax(<?php echo $price_value; ?>);
   main_step = 0;
   main_timeout_id = 0;
   
   function animateMainPrice_callback() {
       main_price_start += main_step;
       
       if ((main_step > 0) && (main_price_start > main_price_final)){
           main_price_start = main_price_final;
       } else if ((main_step < 0) && (main_price_start < main_price_final)) {
           main_price_start = main_price_final;
       } else if (main_step == 0) {
           main_price_start = main_price_final;
       }
       
       $('.autocalc-product-price').html( price_format(main_price_start) );
       
       if (main_price_start != main_price_final) {
           main_timeout_id = setTimeout(animateMainPrice_callback, animate_delay);
       }
   }
   
   function animateMainPrice(price) {
       main_price_start = main_price_final;
       main_price_final = price;
       main_step = (main_price_final - main_price_start) / 10;
       
       clearTimeout(main_timeout_id);
       main_timeout_id = setTimeout(animateMainPrice_callback, animate_delay);
   }
   
   
   <?php if ($special) { ?>
   special_price_final = calculate_tax(<?php echo $special_value; ?>);
   special_price_start = calculate_tax(<?php echo $special_value; ?>);
   special_step = 0;
   special_timeout_id = 0;
   
   function animateSpecialPrice_callback() {
       special_price_start += special_step;
       
       if ((special_step > 0) && (special_price_start > special_price_final)){
           special_price_start = special_price_final;
       } else if ((special_step < 0) && (special_price_start < special_price_final)) {
           special_price_start = special_price_final;
       } else if (special_step == 0) {
           special_price_start = special_price_final;
       }
       
       $('.autocalc-product-special').html( price_format(special_price_start) );
       
       if (special_price_start != special_price_final) {
           special_timeout_id = setTimeout(animateSpecialPrice_callback, animate_delay);
       }
   }
   
   function animateSpecialPrice(price) {
       special_price_start = special_price_final;
       special_price_final = price;
       special_step = (special_price_final - special_price_start) / 10;
       
       clearTimeout(special_timeout_id);
       special_timeout_id = setTimeout(animateSpecialPrice_callback, animate_delay);
   }
   <?php } ?>
   
   
   function recalculateprice()
   {
       var main_price = <?php echo (float)$price_value; ?>;
       var input_quantity = Number($('input[name="quantity"]').val());
       var special = <?php echo (float)$special_value; ?>;
       var tax = 0;
       var selected = [];
       var discount_coefficient = 1;
       
       if (isNaN(input_quantity)) input_quantity = 0;
       
       <?php if ($special) { ?>
           special_coefficient = <?php echo ((float)$price_value/(float)$special_value); ?>;
       <?php } else { ?>
           <?php if (empty($autocalc_option_discount)) { ?>
               main_price = process_discounts(main_price, input_quantity);
               tax = process_discounts(tax, input_quantity);
           <?php } else { ?>
               if (main_price) discount_coefficient = process_discounts(main_price, input_quantity) / main_price;
           <?php } ?>
       <?php } ?>
       
       
       var option_price = 0;
       
       <?php if ($points) { ?>
         var points = <?php echo (float)$points_value; ?>;
         $('input:checked,option:selected').each(function() {
             if ($(this).data('points')) points += Number($(this).data('points'));
         });
         $('.autocalc-product-points').html(points);
       <?php } ?>
       
       $('input:checked,option:selected').each(function() {
         if ($(this).data('prefix') == '=') {
           option_price += Number($(this).data('price'));
           main_price = 0;
           special = 0;
         }
         if ($(this).val()) selected.push($(this).val());
       });
   
       <?php if ($autocalc_hash_url) { ?>
       if (selected.length) window.location.hash = selected.join('-'); else window.history.pushState(null,null,(window.location.href).split('#')[0]);
       <?php } ?>
       
       $('input:checked,option:selected').each(function() {
         if ($(this).data('prefix') == '+') {
           option_price += Number($(this).data('price'));
         }
         if ($(this).data('prefix') == '-') {
           option_price -= Number($(this).data('price'));
         }
         if ($(this).data('prefix') == 'u') {
           pcnt = 1.0 + (Number($(this).data('price')) / 100.0);
           option_price *= pcnt;
           main_price *= pcnt;
           special *= pcnt;
         }
         if ($(this).data('prefix') == 'd') {
           pcnt = 1.0 - (Number($(this).data('price')) / 100.0);
           option_price *= pcnt;
           main_price *= pcnt;
           special *= pcnt;
         }
         if ($(this).data('prefix') == '*') {
           option_price *= Number($(this).data('price'));
           main_price *= Number($(this).data('price'));
           special *= Number($(this).data('price'));
         }
         if ($(this).data('prefix') == '/') {
           option_price /= Number($(this).data('price'));
           main_price /= Number($(this).data('price'));
           special /= Number($(this).data('price'));
         }
       });
       
       special += option_price;
       main_price += option_price;
   
       <?php if ($special) { ?>
         <?php if (empty($autocalc_option_special))  { ?>
           main_price = special * special_coefficient;
         <?php } else { ?>
           special = main_price / special_coefficient;
         <?php } ?>
         tax = special;
       <?php } else { ?>
         <?php if (!empty($autocalc_option_discount)) { ?>
             main_price *= discount_coefficient;
         <?php } ?>
         tax = main_price;
       <?php } ?>
       
       // Process TAX.
       main_price = calculate_tax(main_price);
       special = calculate_tax(special);
       
       <?php if (!$autocalc_not_mul_qty) { ?>
       if (input_quantity > 0) {
         main_price *= input_quantity;
         special *= input_quantity;
         tax *= input_quantity;
       }
       <?php } ?>
   
       // Display Main Price
       animateMainPrice(main_price);
         
       <?php if ($special) { ?>
         animateSpecialPrice(special);
       <?php } ?>
   }
   
   $(document).ready(function() {
       $('input[type="checkbox"]').bind('change', function() { recalculateprice(); });
       $('input[type="radio"]').bind('change', function() { recalculateprice(); });
       $('select').bind('change', function() { recalculateprice(); });
       
       $quantity = $('input[name="quantity"]');
       $quantity.data('val', $quantity.val());
       (function() {
           if ($quantity.val() != $quantity.data('val')){
               $quantity.data('val',$quantity.val());
               recalculateprice();
           }
           setTimeout(arguments.callee, 250);
       })();
   
       <?php if ($autocalc_select_first) { ?>
       $('select[name^="option"] option[value=""]').remove();
       last_name = '';
       $('input[type="radio"][name^="option"]').each(function(){
           if ($(this).attr('name') != last_name) $(this).prop('checked', true);
           last_name = $(this).attr('name');
       });
       <?php } ?>
       
       <?php if ($autocalc_hash_url) { ?>
       var hash = (window.location.hash);
       if (hash) {
           hash = hash.split('#')[1].split('-');
           hash.forEach(function(item){
               $('option[value="'+item+'"]').prop('selected', true);
               $('input[type="radio"][value="'+item+'"],input[type="checkbox"][value="'+item+'"]').prop('checked', true);
           });
       }
       <?php } ?>
       
       recalculateprice();
   });
   
   //-->
</script>
<?php echo $footer; ?>